las2(3)

NAME
las2 - las2: 2x2 triangular SVD

SYNOPSIS

  Functions

subroutine dlas2 (f, g, h, ssmin, ssmax)
DLAS2 computes singular values of a 2-by-2 triangular matrix.
subroutine slas2 (f, g, h, ssmin, ssmax)
SLAS2 computes singular values of a 2-by-2 triangular matrix.

Detailed Description

Function Documentation

  subroutine dlas2 (double precision f, double precision g, double precision h, double precision ssmin, double precision ssmax)

DLAS2 computes singular values of a 2-by-2 triangular matrix.

Purpose:

    !>
    !> DLAS2  computes the singular values of the 2-by-2 matrix
    !>    [  F   G  ]
    !>    [  0   H  ].
    !> On return, SSMIN is the smaller singular value and SSMAX is the
    !> larger singular value.
    !>

Parameters
    F

    !>          F is DOUBLE PRECISION
    !>          The (1,1) element of the 2-by-2 matrix.
    !>

    G

    !>          G is DOUBLE PRECISION
    !>          The (1,2) element of the 2-by-2 matrix.
    !>

    H

    !>          H is DOUBLE PRECISION
    !>          The (2,2) element of the 2-by-2 matrix.
    !>

    SSMIN

    !>          SSMIN is DOUBLE PRECISION
    !>          The smaller singular value.
    !>

    SSMAX

    !>          SSMAX is DOUBLE PRECISION
    !>          The larger singular value.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>  Barring over/underflow, all output quantities are correct to within
    !>  a few units in the last place (ulps), even in the absence of a guard
    !>  digit in addition/subtraction.
    !>
    !>  In IEEE arithmetic, the code works correctly if one matrix element is
    !>  infinite.
    !>
    !>  Overflow will not occur unless the largest singular value itself
    !>  overflows, or is within a few ulps of overflow.
    !>
    !>  Underflow is harmless if underflow is gradual. Otherwise, results
    !>  may correspond to a matrix modified by perturbations of size near
    !>  the underflow threshold.
    !>

  subroutine slas2 (real f, real g, real h, real ssmin, real ssmax)

SLAS2 computes singular values of a 2-by-2 triangular matrix.

Purpose:

    !>
    !> SLAS2  computes the singular values of the 2-by-2 matrix
    !>    [  F   G  ]
    !>    [  0   H  ].
    !> On return, SSMIN is the smaller singular value and SSMAX is the
    !> larger singular value.
    !>

Parameters
    F

    !>          F is REAL
    !>          The (1,1) element of the 2-by-2 matrix.
    !>

    G

    !>          G is REAL
    !>          The (1,2) element of the 2-by-2 matrix.
    !>

    H

    !>          H is REAL
    !>          The (2,2) element of the 2-by-2 matrix.
    !>

    SSMIN

    !>          SSMIN is REAL
    !>          The smaller singular value.
    !>

    SSMAX

    !>          SSMAX is REAL
    !>          The larger singular value.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

    !>
    !>  Barring over/underflow, all output quantities are correct to within
    !>  a few units in the last place (ulps), even in the absence of a guard
    !>  digit in addition/subtraction.
    !>
    !>  In IEEE arithmetic, the code works correctly if one matrix element is
    !>  infinite.
    !>
    !>  Overflow will not occur unless the largest singular value itself
    !>  overflows, or is within a few ulps of overflow.
    !>
    !>  Underflow is harmless if underflow is gradual. Otherwise, results
    !>  may correspond to a matrix modified by perturbations of size near
    !>  the underflow threshold.
    !>

Author

Generated automatically by Doxygen for LAPACK from the source code.